Last updated 17 November 2016. Created on 15 June 2015.
Edited by gisle. Log in to edit this page.

Parse YAML was a bridge module for Drupal 7 that implemented an API function (named parse_yaml_stream) to parse a YAML stream. It is now obsolete.

There is no longer a need for this bridge module. If your project need a Yaml parser, you should use the Symfony Yaml Component instead.

To use it, make Composer Manager a dependency of your project and have something like this in your project's composer.json:

{
  "require": {
    "symfony/yaml": ">=3.1"
  }
}

When your project is enabled with drush, the Symfony Yaml call will be automatically downloaded from Packagist and installed below your vendor directory by Composer Manager.

Looking for support? Visit the Drupal.org forums, or join #drupal-support in IRC.